Gallery Scripts - Get

Retrieves information about a gallery script definition.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/galleries/{galleryName}/scripts/{galleryScriptName}?api-version=2025-03-03

URI Parameters

Name In Required Type Description
galleryName
path True

string

pattern: ^[^_\W][\w-._]{0,79}(?

The name of the Shared Image Gallery.

galleryScriptName
path True

string

pattern: ^[a-zA-Z0-9]+([_]?[a-zA-Z0-9]+)*$

The name of the gallery Script Definition to be retrieved.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

GalleryScript

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Sample request

GET https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/galleries/myGalleryName/scripts/myGalleryScriptName?api-version=2025-03-03

Sample response

{
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/galleries/myGalleryName/scripts/myGalleryScriptName",
  "properties": {
    "description": "This is the gallery script description.",
    "eula": "This is the gallery script EULA.",
    "privacyStatementUri": "{myPrivacyStatementUri}",
    "releaseNoteUri": "{myReleaseNoteUri}",
    "supportedOSType": "Windows",
    "provisioningState": "Succeeded"
  },
  "location": "West US",
  "name": "myGalleryScriptName"
}

Definitions

Name Description
ApiError

Api error.

ApiErrorBase

Api error base.

CloudError

An error response from the Compute service.

createdByType

The type of identity that created the resource.

GalleryProvisioningState

The provisioning state, which only appears in the response.

GalleryScript

Specifies information about the gallery Script Definition that you want to create or update.

GalleryScriptProperties

Describes the properties of a gallery script definition.

InnerError

Inner error details.

OperatingSystemTypes

This property allows you to specify the type of the OS that is included in the disk when creating a VM from a managed image. Possible values are: Windows, Linux.

systemData

Metadata pertaining to creation and last modification of the resource.

ApiError

Api error.

Name Type Description
code

string

The error code.

details

ApiErrorBase[]

The Api error details

innererror

InnerError

The Api inner error

message

string

The error message.

target

string

The target of the particular error.

ApiErrorBase

Api error base.

Name Type Description
code

string

The error code.

message

string

The error message.

target

string

The target of the particular error.

CloudError

An error response from the Compute service.

Name Type Description
error

ApiError

Api error.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

GalleryProvisioningState

The provisioning state, which only appears in the response.

Value Description
Creating
Updating
Failed
Succeeded
Deleting
Migrating

GalleryScript

Specifies information about the gallery Script Definition that you want to create or update.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

GalleryScriptProperties

Describes the properties of a gallery Script Definition.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

GalleryScriptProperties

Describes the properties of a gallery script definition.

Name Type Description
description

string

The description of this gallery script definition resource. This property is updatable.

endOfLifeDate

string (date-time)

The end of life date of the gallery Script Definition. This property can be used for decommissioning purposes. This property is updatable.

eula

string

The Eula agreement (End User License Agreement) for the gallery Script Definition.

privacyStatementUri

string

The privacy statement uri.

provisioningState

GalleryProvisioningState

The provisioning state, which only appears in the response.

releaseNoteUri

string

The release note uri.

supportedOSType

OperatingSystemTypes

This property allows you to specify the supported type of the OS that application is built for. Possible values are: Windows, Linux.

InnerError

Inner error details.

Name Type Description
errordetail

string

The internal error message or exception dump.

exceptiontype

string

The exception type.

OperatingSystemTypes

This property allows you to specify the type of the OS that is included in the disk when creating a VM from a managed image. Possible values are: Windows, Linux.

Value Description
Windows
Linux

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.